Skip to main content
GET
/
api
/
v2
/
orders
/
{id}
Show order
curl --request GET \
  --url https://rcur.app/api/v2/orders/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "ord_abc123",
  "status": "paid",
  "total_amount": "59.98",
  "currency": "EUR",
  "created_at": "2025-01-15 10:30:00",
  "order_number": "ORD-2025-001",
  "first_name": "John",
  "last_name": "Doe",
  "email": "john@example.com",
  "organization_name": "Acme B.V.",
  "phone": "+31612345678",
  "address": "Keizersgracht 1",
  "postal_code": "1015AA",
  "city": "Amsterdam",
  "country": "NL",
  "vat_number": "NL123456789B01",
  "carrier": "PostNL",
  "tracktrace": "3STEST1234567",
  "wc_order_id": 5678,
  "wc_order_number": "WC-5678",
  "subscription": "sub_abc123",
  "subscription_status": "active",
  "cancel_subscription_at": "2025-12-31",
  "products": [
    {
      "quantity": 2,
      "product": {
        "id": "prod_abc123",
        "name": "Premium Plan",
        "type": "subscription",
        "amount": "29.99",
        "currency": "EUR",
        "interval": "month",
        "times": 12,
        "wc_product_id": 1234
      },
      "next_order": "2025-02-01"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Order details

id
string
required
Example:

"ord_abc123"

status
enum<string>
required
Available options:
unpaid,
pending,
paid,
completed,
charged_back,
cancelled
Example:

"paid"

total_amount
string
required
Example:

"59.98"

currency
enum<string>
required
Available options:
EUR
Example:

"EUR"

created_at
string
required
Example:

"2025-01-15 10:30:00"

order_number
string | null
Example:

"ORD-2025-001"

first_name
string
Example:

"John"

last_name
string
Example:

"Doe"

email
string
Example:

"john@example.com"

organization_name
string | null
Example:

"Acme B.V."

phone
string | null
Example:

"+31612345678"

address
string | null
Example:

"Keizersgracht 1"

postal_code
string | null
Example:

"1015AA"

city
string | null
Example:

"Amsterdam"

country
string | null

ISO 3166-1 alpha-2 country code

Example:

"NL"

vat_number
string | null
Example:

"NL123456789B01"

carrier
string | null
Example:

"PostNL"

tracktrace
string | null
Example:

"3STEST1234567"

wc_order_id
integer | null
Example:

5678

wc_order_number
string | null
Example:

"WC-5678"

subscription
string | null
Example:

"sub_abc123"

subscription_status
enum<string> | null
Available options:
active,
cancelled,
completed
Example:

"active"

cancel_subscription_at
string | null
Example:

"2025-12-31"

products
object[]